import { ImmerComponent } from '~/components/_base';
import { NextContext } from 'next';
import Link from 'next/link';
import { Layout } from '~/components/layout';
import Head from 'next/head';

type SettingsProps = {
    initalUser: {
        name: string;
    };
};
export default class Settings extends ImmerComponent<SettingsProps> {
    static async getInitialProps(ctx: NextContext): Promise<SettingsProps> {
        return {
            initalUser: {
                name: 'Eric'
            }
        };
    }

    render() {
        return (
            <Layout>
                <Head>
                    <title>
                        {this.props.initalUser.name +
                            ' - Settings | XReality Store'}
                    </title>
                </Head>
                <div className={'user'}>
                    <div className={'user-side'}>
                        <Link href={'/user/apps'}>
                            <li>
                                <svg viewBox="0 0 57 57">
                                    <path
                                        d="M22.66,0H3.34C1.498,0,0,1.498,0,3.34v19.32C0,24.502,1.498,26,3.34,26h19.32c1.842,0,3.34-1.498,3.34-3.34V3.34
		C26,1.498,24.502,0,22.66,0z"
                                    />
                                    <path
                                        d="M33.34,26h19.32c1.842,0,3.34-1.498,3.34-3.34V3.34C56,1.498,54.502,0,52.66,0H33.34C31.498,0,30,1.498,30,3.34v19.32
		C30,24.502,31.498,26,33.34,26z"
                                    />
                                    <path
                                        d="M22.66,30H3.34C1.498,30,0,31.498,0,33.34v19.32C0,54.502,1.498,56,3.34,56h19.32c1.842,0,3.34-1.498,3.34-3.34V33.34
		C26,31.498,24.502,30,22.66,30z"
                                    />
                                    <path
                                        d="M55,41H45V31c0-1.104-0.896-2-2-2s-2,0.896-2,2v10H31c-1.104,0-2,0.896-2,2s0.896,2,2,2h10v10c0,1.104,0.896,2,2,2
		s2-0.896,2-2V45h10c1.104,0,2-0.896,2-2S56.104,41,55,41z"
                                    />
                                </svg>
                                <span>{'Apps'}</span>
                            </li>
                        </Link>
                        <li className={'--active'}>
                            <svg viewBox="0 0 16 16" fill="none">
                                <path
                                    fillRule="evenodd"
                                    clipRule="evenodd"
                                    d="M13.5725 8.735C13.6025 8.495 13.625 8.255 13.625 8C13.625 7.745 13.6025 7.505 13.5725 7.265L15.155 6.0275C15.2975 5.915 15.335 5.7125 15.245 5.5475L13.745 2.9525C13.655 2.7875 13.4525 2.7275 13.2875 2.7875L11.42 3.5375C11.03 3.2375 10.61 2.99 10.1525 2.8025L9.8675 0.815C9.845 0.635 9.6875 0.5 9.5 0.5H6.5C6.3125 0.5 6.155 0.635 6.1325 0.815L5.8475 2.8025C5.39 2.99 4.97 3.245 4.58 3.5375L2.7125 2.7875C2.54 2.72 2.345 2.7875 2.255 2.9525L0.755002 5.5475C0.657502 5.7125 0.702502 5.915 0.845002 6.0275L2.4275 7.265C2.3975 7.505 2.375 7.7525 2.375 8C2.375 8.2475 2.3975 8.495 2.4275 8.735L0.845002 9.9725C0.702502 10.085 0.665002 10.2875 0.755002 10.4525L2.255 13.0475C2.345 13.2125 2.5475 13.2725 2.7125 13.2125L4.58 12.4625C4.97 12.7625 5.39 13.01 5.8475 13.1975L6.1325 15.185C6.155 15.365 6.3125 15.5 6.5 15.5H9.5C9.6875 15.5 9.845 15.365 9.8675 15.185L10.1525 13.1975C10.61 13.01 11.03 12.755 11.42 12.4625L13.2875 13.2125C13.46 13.28 13.655 13.2125 13.745 13.0475L15.245 10.4525C15.335 10.2875 15.2975 10.085 15.155 9.9725L13.5725 8.735ZM8 10.625C6.5525 10.625 5.375 9.4475 5.375 8C5.375 6.5525 6.5525 5.375 8 5.375C9.4475 5.375 10.625 6.5525 10.625 8C10.625 9.4475 9.4475 10.625 8 10.625Z"
                                    fill="#444444"
                                />
                            </svg>
                            <span>{'Settings'}</span>
                        </li>
                    </div>
                </div>
            </Layout>
        );
    }
}
